Loading...
Searching...
No Matches
ftxui::Dimension Namespace Reference

Define how the Screen's dimensions should look like. More...

## Functions

Dimensions | Fit (Element &, bool extend_beyond_screen=false)
Dimensions | Fixed (int)
Dimensions | Full ()

## Detailed Description

Define how the Screen's dimensions should look like.

## Function Documentation

## Fit()

Dimensions Fit | ( | Element & | e,
|  | bool | extend_beyond_screen = `false`
| ) |  |

The minimal dimension that will fit the given element.

See also
  Fixed
  Full

Definition at line 93 of file util.cpp.

## Fixed()

Dimensions Fixed | ( | int | v | ) |

A fixed dimension.

See also
  Fit
  Full

Definition at line 375 of file screen.cpp.

## Full()

Dimensions Full | ( |  | ) |

Use the terminal dimensions.

See also
  Fixed
  Fit

Definition at line 382 of file screen.cpp.